<!DOCTYPE html>
<html ng-app="sampleApp">
<head>
    <meta charset="UTF-8">
    <title>Showing an error message</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>

    <script>
       angular.module("sampleApp", [])
       .controller("defaultCtrl", function($scope){
          $scope.addNewUser = function (userDetails, isvalid) {
              if (isvalid){
                 $scope.message = userDetails.name + " " + userDetails.email;
              }
              else {
                 $scope.message = "Error";
                 $scope.showError = true;
              }
          }

          $scope.message = "Ready";

          $scope.getError = function(error){
              if (angular.isDefined(error)){
                 if (error.required){
                    return "Поле не должно быть пустым";
                 }
                 else if (error.email){
                    return "Введите правильный email";
                 }
              }
          }
       });
    </script>

    <style>

        form .ng-invalid-required.ng-dirty{
        background-color: lightpink;
        }

        form .ng-valid.ng-dirty{
        background-color: lightgreen;
        }

        form .ng-invalid-email.ng-dirty{
        background-color: lightgoldenrodyellow;
        }

        span.summary.ng-invalid{
        color: red;
        font-weight: bold;
        }

        span.summary.ng-valid{
        color: green;
        }

        div.error{
        color: red;
        font-weight: bold;
        }
    </style>
</head>

<body>
<div class="panel" ng-controller="defaultCtrl" style="width:300px">
    <form name="myForm" novalidate ng-submit="addNewUser(newUser, myForm.$valid)">
        <div class="well">
            <div class="form-group">
                <label>Name:</label>
                <input name="userName" type="text" class="form-control" ng-model="newUser.name" required>
                <div class="error" ng-show="showError">
                    {{getError(myForm.userName.$error)}}
                </div>
            </div>
            <div class="form-group">
                <label>Email:</label>
                <input name="userEmail" type="email" class="form-control" ng-model="newUser.email" required>
                <div class="error" ng-show="showError">
                    {{getError(myForm.userEmail.$error)}}
                </div>
            </div>
            <div class="checkbox">
                <label>
                    <input name="agreed" type="checkbox" ng-model="newUser.agreed" required>
                    Согласен с условиями использования
                </label>
            </div>
            <button type="submit" class="btn btn-primary btn-block">OK</button>
        </div>

        <div class="well">
            Message: {{message}}
            <div>
                Valid:
                <span class="summary" ng-class="myForm.$valid ? 'ng-valid' : 'ng-invalid'">{{myForm.$valid}}</span>
            </div>
        </div>
    </form>

</div>

</body>
</html>